///////////////////////////////////////////////////////////////////////////////
//
//  Vom Xbase++ FormDesigner generierter Klassen Code
//    Erstellt am: 24.01.15 Zeit: 23:28:36
//
//  Contents  :
//    Diese Datei enthlt das Gerst zur Implementierung der Nutzungsebene.
//    Daher kann und soll diese Datei verndert werden.
//
///////////////////////////////////////////////////////////////////////////////

#include "Gra.ch"
#include "Xbp.ch"
#include "Common.ch"
#include "Appevent.ch"
#include "Font.ch"
#include "DLL.ch"

#define AW_HOR_POSITIVE 0x00000001
#define AW_HOR_NEGATIVE 0x00000002
#define AW_VER_POSITIVE 0x00000004
#define AW_VER_NEGATIVE 0x00000008

#define AW_CENTER 0x00000010
#define AW_HIDE 0x00010000
#define AW_ACTIVATE 0x00020000
#define AW_SLIDE 0x00040000
#define AW_BLEND 0x00080000


DLLFUNCTION AnimateWindow(hwnd,dwTime,dwFlags) USING STDCALL FROM USER32.DLL

******************************************************************************
* Von der Darstellungsklasse abgeleitete Klasse zur Implementierung der
* Programmlogik. Die Instanzvariablen der einzelnen Objekte sind in der 
* Klasse _NewForm deklariert.
******************************************************************************
CLASS NewForm FROM _NewForm
   EXPORTED:
      METHOD init
      METHOD create
ENDCLASS

******************************************************************************
* Formular initialisieren
******************************************************************************
METHOD NewForm:init( oParent, oOwner, aPos, aSize, aPP, lVisible )

   * Methode der Superklasse rufen
   ::_NewForm:init( oParent, oOwner, aPos, aSize, aPP, lVisible )

RETURN self


******************************************************************************
* Systemresourcen anfordern
******************************************************************************
METHOD NewForm:create( oParent, oOwner, aPos, aSize, aPP, lVisible )

   * Methode der Superklasse rufen
   ::_NewForm:create( oParent, oOwner, aPos, aSize, aPP, lVisible )


   * Formular anzeigen
   ::show()

RETURN self


******************************************************************************
* Main Prozedur zum Testen des Formulars
******************************************************************************
PROCEDURE Main
LOCAL nEvent, oXbp, mp1, mp2
LOCAL oDlg
LOCAL oStatic
LOCAL hWnd

   oDlg := NewForm():New():Create()

   oStatic := oDlg:Static1

   AnimateWindow(oStatic:GetHwnd() ,500,AW_HIDE+AW_CENTER )
   oStatic:SetCaption("schlafe ...")
   SLEEP(100)
   AnimateWindow(oStatic:GetHwnd() ,500,AW_ACTIVATE+AW_CENTER )

   AnimateWindow(oStatic:GetHwnd() ,500,AW_HIDE+AW_SLIDE+AW_HOR_POSITIVE )
   oStatic:SetCaption("hallo")
   SLEEP(100)
   AnimateWindow(oStatic:GetHwnd() ,500,AW_ACTIVATE+AW_SLIDE+AW_HOR_POSITIVE )

   //
   // AW_BLEND only on Top-Level Window
   //
   AnimateWindow(oDlg:GetHwnd() ,500,AW_HIDE+AW_BLEND )
   oStatic:SetCaption("und weg ...")
   SLEEP(100)
   AnimateWindow(oDlg:GetHwnd() ,500,AW_ACTIVATE+AW_BLEND )

   nEvent := xbe_None
   WHILE nEvent != xbeP_Close
      nEvent := AppEvent ( @mp1, @mp2, @oXbp )
      oXbp:HandleEvent ( nEvent, mp1, mp2 ) 
      IF nEvent == xbeP_Quit
         QUIT   // AppQuit()
      ENDIF
   ENDDO

RETURN

* Programmcode fr die Implementierungsebene der Klasse einfgen
#include "_TESTANI.PRG"

//EOF
/////